use strict;
use SmbGate::Embperl;
# Base module for static content: As simple as it gets. It completely
# overrides the logic at our root base.pm, as it only needs an
# (already) authenticated user.

sub init {
    my ($self, $req);
    $self = shift;
    $req = shift;

    $self->baseconf;
    $epreq->{conf} = $self->{baseconf};

    $epreq->{webclient} = SmbGate::Embperl::WebClient->new($epreq,
							   \%http_headers_out,
							   \%udat);
    $epreq->{webclient}->content_type('text/html'); # Can be changed later

    0;
}

sub baseconf {
    my ($self, $filename, $instance);
    $self = shift;
    $instance = $ENV{SMBGATE_INSTANCE} || 'smbgate';
    $filename = $ENV{SMBGATE_YAMLCONF} || '/etc/smbgate.yaml';

    $self->{baseconf} = SmbGate::Embperl::Baseconf->new($instance, $filename)
	or die "Could not get system configuration";
    return 1;
}
